Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.unitn.ds.peersim.fds
Class StrongFD

    java.lang.Object
      it.unitn.ds.peersim.fds.StrongFD

All Implemented Interfaces:
  FailureDetector

    public class StrongFD

extends java.lang.Object
implements FailureDetector

Distributed Systems Course Project

Year: 2009/2010

University of Trento

StrongFD -.

Version:
  1.0
Author:
  Avancini Mattia, Giampaolo Farina
See Also:
  `http://peersim.sourceforge.net/`

Constructor Summary
`StrongFD(FDParameters fdParameters)` Instantiates a new strong fd.

Method Summary
`void` | `addSuspected(peersim.core.Node node)` Adds the suspected.
`java.util.ArrayList<java.lang.Long>` | `callOracle()` Call oracle.
`void` | `init()` Inits the.
`boolean` | `isSuspected(peersim.core.Node node)` Checks if is suspected.
`void` | `removeSuspected(peersim.core.Node node)` Removes the suspected.
`java.lang.String` | `toString()` To string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrongFD

    public StrongFD(FDParameters fdParameters)

  Instantiates a new strong fd.

  Parameters:
    `fdParameters` - the fd parameters

Method Detail

### init

    public void init()

  Inits the.

### callOracle

    public java.util.ArrayList<java.lang.Long> callOracle()

  Description copied from interface: `FailureDetector`
  Call oracle.

  Specified by:
    `callOracle` in interface `FailureDetector`
  Returns:
    the array list.

### addSuspected

    public void addSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Adds the suspected.

  Specified by:
    `addSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node suspected.

### removeSuspected

    public void removeSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Removes the suspected.

  Specified by:
    `removeSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node to be removed.

### isSuspected

    public boolean isSuspected(peersim.core.Node node)

  Description copied from interface: `FailureDetector`
  Checks if is suspected.

  Specified by:
    `isSuspected` in interface `FailureDetector`
  Parameters:
    `node` - the node to check.
  Returns:
    true, if is suspected, false otherwise.

### toString

    public java.lang.String toString()

  To string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD